///////////////////////////////////////////////////////
//                                                   //
//       Московский Государственный Технический      //
//           Университет Гражданской Авиации         //
//                                                   //
//      Курсовая работа студента группы: ЭВМ-2-2     //
//           Новичкова Виталия Дмитриевича           //
//                                                   //
// (с) 2005-2012 Система Компьютнрных Сетей  WohlNET //
//                                                   //
///////////////////////////////////////////////////////

//Тест механизма расчёта функций

int test()
{
char s[]="(sin(pi)^2+cos(pi)^2)";
char sid[6];
     next(s,sid);
     if(sin(pi)*sin(pi)+cos(pi)*cos(pi)!=expr(s,sid))
     {
	clrscr();
	printf("\nTest failed");
	if(!getch()) getch();
	return 1;
     }
     Oper.Op='╞';
     Oper.tokval=0;
     return 0;
}